#!/bin/bash

source ./stop_service.sh

if [ $# -eq 0 ]; then
	echo "No command line options were found, showing usage instructions."
	./OpenVFDService -h
fi

vfdconf="/storage/.config/vfd.conf"
if [ -f "$vfdconf" ]; then
	source $vfdconf	
	insmod "$(pwd)/openvfd.ko" vfd_gpio_clk=$vfd_gpio_clk vfd_gpio_dat=$vfd_gpio_dat vfd_gpio_stb=$vfd_gpio_stb vfd_chars=$vfd_chars vfd_dot_bits=$vfd_dot_bits vfd_display_type=$vfd_display_type
else
	insmod "$(pwd)/openvfd.ko"
fi

./OpenVFDService "$@" &